Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limdia_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limdia_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limdia_2.F90	(revision 1855)
@@ -12,5 +12,4 @@
    !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
    !!   lim_dia_2      : computation of the time evolution of keys var.
    !!   lim_dia_init_2 : initialization and namelist read
@@ -28,25 +27,23 @@
    PRIVATE
 
-   PUBLIC               lim_dia_2          ! called by sbc_ice_lim_2
-   INTEGER, PUBLIC ::   ntmoy   = 1 ,   &  !: instantaneous values of ice evolution or averaging ntmoy
-      &                 ninfo   = 1        !: frequency of ouputs on file ice_evolu in case of averaging
-
-   INTEGER, PARAMETER ::   &  ! Parameters for outputs to files "evolu"
-      jpinfmx = 100         ,    &  ! maximum number of key variables
-      jpchinf = 5           ,    &  ! ???
-      jpchsep = jpchinf + 2         ! ???
-
-   INTEGER ::   &
-      nfrinf  = 4 ,     &  ! number of variables written in one line 
-      nferme ,          &  ! last time step at which the var. are written on file
-      nvinfo ,          &  ! number of total variables 
-      nbvt   ,          &  ! number of time variables
-      naveg                ! number of step for accumulation before averaging
-
-   CHARACTER(len= 8) ::   fmtinf  = '1PE13.5 ' ! format of the output values  
-   CHARACTER(len=30) ::   fmtw  ,           &  ! formats
-      &                   fmtr  ,           &  ! ???
-      &                   fmtitr               ! ???
-   CHARACTER(len=jpchsep), DIMENSION(jpinfmx) ::   titvar               ! title of key variables
+   PUBLIC   lim_dia_2   ! called by sbc_ice_lim_2
+   
+   INTEGER, PUBLIC ::   ntmoy   = 1   !: instantaneous values of ice evolution or averaging ntmoy
+   INTEGER, PUBLIC ::   ninfo   = 1   !: frequency of ouputs on file ice_evolu in case of averaging
+
+   !                                              !!! Parameters for outputs to files "evolu"
+   INTEGER, PARAMETER ::   jpinfmx = 100           ! maximum number of key variables
+   INTEGER, PARAMETER ::   jpchinf = 5             ! ???
+   INTEGER, PARAMETER ::   jpchsep = jpchinf + 2   ! ???
+
+   INTEGER ::   nfrinf  = 4   ! number of variables written in one line 
+   INTEGER ::   nferme        ! last time step at which the var. are written on file
+   INTEGER ::   nvinfo        ! number of total variables 
+   INTEGER ::   nbvt          ! number of time variables
+   INTEGER ::   naveg         ! number of step for accumulation before averaging
+
+   CHARACTER(len= 8) ::   fmtinf  = '1PE13.5 '   ! format of the output values  
+   CHARACTER(len=30) ::   fmtw, fmtr, fmtitr     ! various formats
+   CHARACTER(len=jpchsep), DIMENSION(jpinfmx) ::   titvar   ! title of key variables
  
    REAL(wp)                     ::   epsi06 = 1.e-06      ! ???
@@ -57,5 +54,5 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -71,12 +68,12 @@
       !!      the temporal evolution of some key variables
       !!-------------------------------------------------------------------
-      INTEGER, INTENT(in) ::   kt     ! number of iteration
+      INTEGER, INTENT(in) ::   kt   ! number of iteration
       !!
       INTEGER  ::   jv,ji, jj   ! dummy loop indices
       INTEGER  ::   nv          ! indice of variable 
-      REAL(wp) ::   zarea    , zldarea  ,    &  ! sea-ice and leads area
-         &          zextent15, zextent85,    &  ! sea-ice extent (15% and 85%)
-         &          zicevol  , zsnwvol  ,    &  ! sea-ice and snow volume volume
-         &          zicespd                     ! sea-ice velocity
+      REAL(wp) ::   zarea    , zldarea     ! sea-ice and leads area
+      REAL(wp) ::   zextent15, zextent85   ! sea-ice extent (15% and 85%)
+      REAL(wp) ::   zicevol  , zsnwvol     ! sea-ice and snow volume volume
+      REAL(wp) ::   zicespd                     ! sea-ice velocity
       REAL(wp), DIMENSION(jpinfmx) ::   vinfor  ! temporary working space 
       !!-------------------------------------------------------------------
@@ -120,5 +117,4 @@
       vinfor(nv+13) = SQRT( vinfor(nv+13) / MAX( vinfor(nv+9) , epsi06 ) )
 
-
       ! variables in southern Hemis
        nv = nv + 1
@@ -177,13 +173,12 @@
        INTEGER  ::   nv            ! indice of variable 
        REAL(wp) ::   zxx0, zxx1    ! temporary scalars
-
+       !!
        NAMELIST/namicedia/fmtinf, nfrinf, ninfo, ntmoy
        !!-------------------------------------------------------------------
 
-       ! Read Namelist namicedia
-       REWIND ( numnam_ice )
+       REWIND ( numnam_ice )                 ! Read Namelist namicedia
        READ   ( numnam_ice  , namicedia )
        
-       IF(lwp) THEN
+       IF(lwp) THEN                          ! control print
           WRITE(numout,*)
           WRITE(numout,*) 'lim_dia_init_2 : ice parameters for ice diagnostics '
@@ -274,7 +269,4 @@
    !!   Default option :                           NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE lim_dia_2         ! Empty routine
-   END SUBROUTINE lim_dia_2
 #endif
 
Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limdmp_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limdmp_2.F90	(revision 1855)
@@ -4,5 +4,5 @@
    !!  Ice model : restoring Ice thickness and Fraction leads
    !!======================================================================
-   !! History :   2.0  !  04-04 (S. Theetten) Original code
+   !! History :   2.0  ! 2004-04 (S. Theetten) Original code
    !!----------------------------------------------------------------------
 #if defined key_lim2   &&   defined key_tradmp
@@ -11,14 +11,13 @@
    !!   'key_tradmp'                                                Damping
    !!----------------------------------------------------------------------
+   !!   lim_dmp_2       : ice model damping
    !!----------------------------------------------------------------------
-   !!   lim_dmp_2      : ice model damping
-   !!----------------------------------------------------------------------
-   USE in_out_manager  ! I/O manager
-   USE phycst          ! physical constants
-   USE ice_2
-   USE tradmp
-   USE dom_oce
-   USE oce
-   USE iom
+   USE oce              ! ocean variables
+   USE dom_oce          ! ocean domain
+   USE phycst           ! physical constants
+   USE ice_2            ! LIM-2 variables
+   USE tradmp           ! traceur damping
+   USE in_out_manager   ! I/O manager
+   USE iom              !
    
    IMPLICIT NONE
@@ -27,15 +26,15 @@
    PUBLIC   lim_dmp_2     ! called by ice_step_2
    
-   INTEGER                        ::   nice1, nice2,  &  ! first and second record used
-      &                                inumice_dmp       ! logical unit for ice variables (damping)
-   REAL(wp), DIMENSION(jpi,jpj)   ::   hicif_dta  ,   &  ! ice thickness at a given time
-      &                                frld_dta          ! fraction lead at a given time
-   REAL(wp), DIMENSION(jpi,jpj,2) ::   hicif_data ,   &  ! ice thickness data at two consecutive times
-      &                                frld_data         ! fraction lead data at two consecutive times
+   INTEGER                        ::   nice1, nice2   ! first and second record used
+   INTEGER                        ::   inumice_dmp    ! logical unit for ice variables (damping)
+   REAL(wp), DIMENSION(jpi,jpj)   ::   hicif_dta      ! ice thickness at a given time
+   REAL(wp), DIMENSION(jpi,jpj)   ::   frld_dta       ! fraction lead at a given time
+   REAL(wp), DIMENSION(jpi,jpj,2) ::   hicif_data     ! ice thickness data at two consecutive times
+   REAL(wp), DIMENSION(jpi,jpj,2) ::   frld_data      ! fraction lead data at two consecutive times
 
    !! * Substitution
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   LIM 2.0 , UCL-LOCEAN-IPSL  (2006)
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -44,5 +43,5 @@
 CONTAINS
 
-   SUBROUTINE lim_dmp_2(kt)
+   SUBROUTINE lim_dmp_2( kt )
       !!-------------------------------------------------------------------
       !!                   ***  ROUTINE lim_dmp_2 ***
@@ -53,15 +52,15 @@
       !! ** method  : the key_tradmp must be used to compute resto(:,:) coef.
       !!---------------------------------------------------------------------
-      INTEGER, INTENT(in) ::   kt     ! ocean time-step
-      !
-      INTEGER             ::   ji, jj         ! dummy loop indices
+      INTEGER, INTENT(in) ::   kt   ! ocean time-step
+      !!
+      INTEGER ::   ji, jj   ! dummy loop indices
       !!---------------------------------------------------------------------
       !
       CALL dta_lim_2( kt )
-
+      !
       DO jj = 2, jpjm1
          DO ji = fs_2, fs_jpim1   ! vector opt.
             hicif(ji,jj) = hicif(ji,jj) - rdt_ice * resto(ji,jj,1) * ( hicif(ji,jj) - hicif_dta(ji,jj) )
-            frld(ji,jj)  = frld (ji,jj) - rdt_ice * resto(ji,jj,1) * ( frld(ji,jj)  - frld_dta (ji,jj) )  
+            frld(ji,jj)  = frld (ji,jj) - rdt_ice * resto(ji,jj,1) * ( frld (ji,jj) - frld_dta (ji,jj) )  
          END DO
       END DO
Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limdyn_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limdyn_2.F90	(revision 1855)
@@ -17,10 +17,10 @@
    !!----------------------------------------------------------------------
    USE dom_oce        ! ocean space and time domain
-   USE sbc_oce        !
-   USE phycst         !
-   USE ice_2          !
-   USE dom_ice_2      !
-   USE limistate_2    !
-   USE limrhg_2       ! ice rheology
+   USE sbc_oce        ! surface boundary condition : ocean
+   USE phycst         ! physical constants
+   USE ice_2          ! LIM-2 sea-ice variables
+   USE dom_ice_2      ! LIM-2 domain
+   USE limistate_2    ! LIM-2 initial state
+   USE limrhg_2       ! LIM-2 rheology
 
    USE lbclnk         !
@@ -34,10 +34,9 @@
    PUBLIC   lim_dyn_2 ! routine called by sbc_ice_lim
 
-   !! * Module variables
    REAL(wp)  ::  rone    = 1.e0   ! constant value
 
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   LIM 2.0,  UCL-LOCEAN-IPSL (2006) 
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -59,9 +58,9 @@
       !!              - treatment of the case if no ice dynamic
       !!---------------------------------------------------------------------
-      INTEGER, INTENT(in) ::   kt     ! number of iteration
-      !!
-      INTEGER  ::   ji, jj             ! dummy loop indices
-      INTEGER  ::   i_j1, i_jpj        ! Starting/ending j-indices for rheology
-      REAL(wp) ::   zcoef              ! temporary scalar
+      INTEGER, INTENT(in) ::   kt   ! number of iteration
+      !!
+      INTEGER  ::   ji, jj        ! dummy loop indices
+      INTEGER  ::   i_j1, i_jpj   ! Starting/ending j-indices for rheology
+      REAL(wp) ::   zcoef         ! temporary scalar
       REAL(wp), DIMENSION(jpj)     ::   zind           ! i-averaged indicator of sea-ice
       REAL(wp), DIMENSION(jpj)     ::   zmsk           ! i-averaged of tmask
@@ -144,5 +143,5 @@
          ENDIF
 
-         IF(ln_ctl)   CALL prt_ctl(tab2d_1=u_ice , clinfo1=' lim_dyn  : u_ice :', tab2d_2=v_ice , clinfo2=' v_ice :')
+         IF(ln_ctl)   CALL prt_ctl( tab2d_1=u_ice, clinfo1=' lim_dyn  : u_ice :', tab2d_2=v_ice, clinfo2=' v_ice :' )
          
          ! computation of friction velocity
@@ -179,5 +178,5 @@
       CALL lbc_lnk( ust2s, 'T',  1. )   ! T-point
       !
-      IF(ln_ctl)   CALL prt_ctl(tab2d_1=ust2s , clinfo1=' lim_dyn  : ust2s :')
+      IF(ln_ctl)   CALL prt_ctl( tab2d_1=ust2s, clinfo1=' lim_dyn  : ust2s :' )
 
    END SUBROUTINE lim_dyn_2
Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limhdf_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limhdf_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limhdf_2.F90	(revision 1855)
@@ -4,4 +4,8 @@
    !! LIM 2.0 ice model : horizontal diffusion of sea-ice quantities
    !!======================================================================
+   !! History :  LIM  ! 2000-01 (UCL)  Original code
+   !!            1.0  ! 2001-05 (G. Madec, R. Hordoir) opa norm
+   !!            2.0  ! 2002-08 (C. Ethe)  F90, free form
+   !!----------------------------------------------------------------------
 #if defined key_lim2
    !!----------------------------------------------------------------------
@@ -10,29 +14,26 @@
    !!   lim_hdf_2  : diffusion trend on sea-ice variable
    !!----------------------------------------------------------------------
-   !! * Modules used
-   USE dom_oce
-   USE in_out_manager
-   USE ice_2
-   USE lbclnk
-   USE lib_mpp
-   USE prtctl          ! Print control
+   USE dom_oce          ! ocean domain
+   USE ice_2            ! LIM-2 variables
+   USE prtctl           ! Print control
+   USE lbclnk           !
+   USE lib_mpp          !
+   USE in_out_manager   ! I/O manager
 
    IMPLICIT NONE
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC lim_hdf_2    ! called by lim_tra_2
+   PUBLIC   lim_hdf_2   ! called by lim_tra_2
 
-   !! * Module variables
-   LOGICAL  ::   linit = .TRUE.              ! ???
+   LOGICAL  ::   linit = .TRUE.              ! indictor of initialisation
    REAL(wp) ::   epsi04 = 1e-04              ! constant
-   REAL(wp), DIMENSION(jpi,jpj) ::   zfact   ! ???
+   REAL(wp), DIMENSION(jpi,jpj) ::   zfact   ! metric term
 
    !! * Substitution 
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   LIM 2.0,  UCL-LOCEAN-IPSL (2005) 
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -43,33 +44,19 @@
       !!                  ***  ROUTINE lim_hdf_2  ***
       !!
-      !! ** purpose :   Compute and add the diffusive trend on sea-ice
-      !!      variables
+      !! ** purpose :   Compute and add the diffusive trend on sea-ice variables
       !!
       !! ** method  :   Second order diffusive operator evaluated using a
-      !!      Cranck-Nicholson time Scheme.
+      !!              Cranck-Nicholson time Scheme.
       !!
-      !! ** Action  :    update ptab with the diffusive contribution
+      !! ** Action  :   update ptab with the diffusive contribution
+      !!-------------------------------------------------------------------
+      REAL(wp), INTENT(inout), DIMENSION(jpi,jpj) ::   ptab   ! Field on which the diffusion is applied  
       !!
-      !! History :
-      !!        !  00-01 (LIM) Original code
-      !!        !  01-05 (G. Madec, R. Hordoir) opa norm
-      !!        !  02-08 (C. Ethe)  F90, free form
-      !!-------------------------------------------------------------------
-      ! * Arguments
-      REAL(wp), DIMENSION(jpi,jpj), INTENT( inout ) ::   &
-         ptab                 ! Field on which the diffusion is applied  
-      REAL(wp), DIMENSION(jpi,jpj) ::   &
-         ptab0                ! ???
-
-      ! * Local variables
       INTEGER ::  ji, jj      ! dummy loop indices
-      INTEGER ::  &
-         its, iter            ! temporary integers
+      INTEGER ::  its, iter   ! temporary integers
       CHARACTER (len=55) :: charout
-      REAL(wp) ::  &
-         zalfa, zrlxint, zconv, zeps   ! temporary scalars
-      REAL(wp), DIMENSION(jpi,jpj) ::  & 
-         zrlx, zflu, zflv, &  ! temporary workspaces
-         zdiv0, zdiv          !    "           "
+      REAL(wp) ::   zalfa, zrlxint, zconv, zeps   ! temporary scalars
+      REAL(wp), DIMENSION(jpi,jpj) ::   zrlx, zflu, zflv, zdiv0, zdiv  ! temporary workspaces
+      REAL(wp), DIMENSION(jpi,jpj) ::   ztab0                ! ???
       !!-------------------------------------------------------------------
 
@@ -82,7 +69,5 @@
 
       ! Arrays initialization
-      ptab0 (:, : ) = ptab(:,:)
-!bug  zflu (:,jpj) = 0.e0
-!bug  zflv (:,jpj) = 0.e0
+      ztab0(:, : ) = ptab(:,:)
       zdiv0(:, 1 ) = 0.e0
       zdiv0(:,jpj) = 0.e0
@@ -98,6 +83,5 @@
          DO jj = 2, jpjm1  
             DO ji = fs_2 , fs_jpim1   ! vector opt.
-               zfact(ji,jj) = ( e2u(ji,jj) + e2u(ji-1,jj  ) + e1v(ji,jj) + e1v(ji,jj-1) ) &
-                  &          / ( e1t(ji,jj) * e2t(ji,jj) )
+               zfact(ji,jj) = ( e2u(ji,jj) + e2u(ji-1,jj) + e1v(ji,jj) + e1v(ji,jj-1) ) / ( e1t(ji,jj) * e2t(ji,jj) )
             END DO
          END DO
@@ -110,12 +94,10 @@
       iter  = 0
 
-      !                                                   !===================
-      DO WHILE ( ( zconv > zeps ) .AND. (iter <= its) )   ! Sub-time step loop
-         !                                                !===================
-         ! incrementation of the sub-time step number
-         iter = iter + 1
+      !                                                   !======================!
+      DO WHILE ( ( zconv > zeps ) .AND. (iter <= its) )   !  Sub-time step loop  !
+         !                                                !======================!
+         iter = iter + 1               ! incrementation of the sub-time step number
 
-         ! diffusive fluxes in U- and V- direction
-         DO jj = 1, jpjm1
+         DO jj = 1, jpjm1              ! diffusive fluxes in U- and V- direction
             DO ji = 1 , fs_jpim1   ! vector opt.
                zflu(ji,jj) = pahu(ji,jj) * e2u(ji,jj) / e1u(ji,jj) * ( ptab(ji+1,jj) - ptab(ji,jj) )
@@ -123,7 +105,5 @@
             END DO
          END DO
-
-         ! diffusive trend : divergence of the fluxes
-         DO jj= 2, jpjm1
+         DO jj= 2, jpjm1               ! diffusive trend : divergence of the fluxes
             DO ji = fs_2 , fs_jpim1   ! vector opt. 
                zdiv (ji,jj) = (  zflu(ji,jj) - zflu(ji-1,jj  )   &
@@ -131,12 +111,10 @@
             END DO
          END DO
-
-         ! save the first evaluation of the diffusive trend in zdiv0
+         !                             ! save the first evaluation of the diffusive trend in zdiv0
          IF( iter == 1 )   zdiv0(:,:) = zdiv(:,:)       
 
-         ! XXXX iterative evaluation?????
-         DO jj = 2, jpjm1
+         DO jj = 2, jpjm1              ! XXXX iterative evaluation?????
             DO ji = fs_2 , fs_jpim1   ! vector opt.
-               zrlxint = (   ptab0(ji,jj)    &
+               zrlxint = (   ztab0(ji,jj)    &
                   &       +  rdt_ice * (           zalfa   * ( zdiv(ji,jj) + zfact(ji,jj) * ptab(ji,jj) )   &
                   &                      + ( 1.0 - zalfa ) *   zdiv0(ji,jj) )  )                             & 
@@ -145,10 +123,7 @@
             END DO
          END DO
-
-         ! lateral boundary condition on ptab
          CALL lbc_lnk( zrlx, 'T', 1. )
 
-         ! convergence test
-         zconv = 0.e0
+         zconv = 0.e0                  ! convergence test
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
@@ -157,17 +132,16 @@
          END DO
          IF( lk_mpp )   CALL mpp_max( zconv )   ! max over the global domain
-
-         ptab(:,:) = zrlx(:,:)
-
-         !                                         !==========================
-      END DO                                       ! end of sub-time step loop
-      !                                            !==========================
+         !
+         ptab(:,:) = zrlx(:,:)         ! update value
+         !                                         !=============================!
+      END DO                                       !  end of sub-time step loop  !
+      !                                            !=============================!
 
       IF(ln_ctl)   THEN
-         zrlx(:,:) = ptab(:,:) - ptab0(:,:)
+         zrlx(:,:) = ptab(:,:) - ztab0(:,:)
          WRITE(charout,FMT="(' lim_hdf  : zconv =',D23.16, ' iter =',I4,2X)") zconv, iter
-         CALL prt_ctl(tab2d_1=zrlx, clinfo1=charout)
+         CALL prt_ctl( tab2d_1=zrlx, clinfo1=charout )
       ENDIF
-
+      !
    END SUBROUTINE lim_hdf_2
 
Index: /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limistate_2.F90
===================================================================
--- /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limistate_2.F90	(revision 1854)
+++ /branches/DEV_r1837_mass_heat_salt_fluxes/NEMO/LIM_SRC_2/limistate_2.F90	(revision 1855)
@@ -4,9 +4,9 @@
    !!              Initialisation of diagnostics ice variables
    !!======================================================================
-   !! History :   1.0  !  01-04  (C. Ethe, G. Madec)  Original code
-   !!             2.0  !  03-08  (G. Madec)  add lim_istate_init
-   !!                  !  04-04  (S. Theetten) initialization from a file
-   !!                  !  06-07  (S. Masson)  IOM to read the restart
-   !!                  !  07-10  (G. Madec)  surface module
+   !! History :   1.0  !  2001-04  (C. Ethe, G. Madec)  Original code
+   !!             2.0  !  2003-08  (G. Madec)  add lim_istate_init
+   !!              -   !  2004-04  (S. Theetten) initialization from a file
+   !!              -   !  2006-07  (S. Masson)  IOM to read the restart
+   !!              -   !  2007-10  (G. Madec)  surface module
    !!--------------------------------------------------------------------
 #if defined key_lim2
@@ -14,25 +14,24 @@
    !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-   !!----------------------------------------------------------------------
    !!   lim_istate_2      :  Initialisation of diagnostics ice variables
    !!   lim_istate_init_2 :  initialization of ice state and namelist read
    !!----------------------------------------------------------------------
-   USE phycst
-   USE par_ice_2       ! ice parameters
-   USE dom_ice_2
-   USE eosbn2          ! equation of state
-   USE lbclnk
-   USE oce
-   USE ice_2
-   USE iom
-   USE in_out_manager
+   USE oce              ! ocean variables
+   USE ice_2            ! LIM-2 variables
+   USE par_ice_2        ! LIM-2 ice parameters
+   USE dom_ice_2        ! LIM-2 domain
+   USE phycst           ! physical constants
+   USE eosbn2           ! equation of state
+   USE lbclnk           ! 
+   USE iom              !
+   USE in_out_manager   !
 
    IMPLICIT NONE
    PRIVATE
 
-   PUBLIC lim_istate_2      ! routine called by lim_init_2.F90
-
-!!! ** init namelist (namiceini) **
-   LOGICAL  ::   ln_limini = .FALSE.  !: Ice initialization state
+   PUBLIC   lim_istate_2   ! routine called by lim_init_2.F90
+
+   !                                 !!! ** init namelist (namiceini) **
+   LOGICAL  ::   ln_limini = .FALSE.  ! Ice initialization state
    REAL(wp) ::   ttest     = 2.0      ! threshold water temperature for initial sea ice
    REAL(wp) ::   hninn     = 0.5      ! initial snow thickness in the north
@@ -45,6 +44,7 @@
    REAL(wp) ::   zero      = 0.e0     ! constant value = 0
    REAL(wp) ::   zone      = 1.e0     ! constant value = 1
-   !!----------------------------------------------------------------------
-   !!   LIM 2.0,  UCL-LOCEAN-IPSL (2006) 
+   
+   !!----------------------------------------------------------------------
+   !! NEMO/LIM 3.3,  UCL-LOCEAN-IPSL (2010) 
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -62,6 +62,6 @@
       !!                or from arbitrary sea-ice conditions
       !!--------------------------------------------------------------------
-      INTEGER  ::   ji, jj, jk                ! dummy loop indices
-      REAL(wp) ::   zidto                     ! temporary scalar
+      INTEGER  ::   ji, jj, jk   ! dummy loop indices
+      REAL(wp) ::   zidto        ! temporary scalar
       !--------------------------------------------------------------------
  
@@ -69,7 +69,7 @@
 
       IF( .NOT. ln_limini ) THEN  
-         
+         !
          tfu(:,:) = tfreez( sn(:,:,1) ) * tmask(:,:,1)       ! freezing/melting point of sea water [Celcius]
-
+         !
          DO jj = 1, jpj
             DO ji = 1, jpi
@@ -126,6 +126,5 @@
 
       !-- lateral boundary conditions
-      CALL lbc_lnk( hicif, 'T', 1. )
-      CALL lbc_lnk( frld , 'T', 1. )
+      CALL lbc_lnk( hicif, 'T', 1. )   ;   CALL lbc_lnk( frld , 'T', 1. )
 
       ! C A U T I O N  frld = 1 over land and lbc_lnk put zero along 
@@ -140,5 +139,5 @@
       CALL lbc_lnk( fsbbq  , 'T', 1. )
       CALL lbc_lnk( qstoif , 'T', 1. )
-
+      !
    END SUBROUTINE lim_istate_2
 
@@ -151,13 +150,13 @@
       !!
       !! ** Method  :   Read the namiceini namelist and check the parameter 
-      !!       values called at the first timestep (nit000)
+      !!              values called at the first timestep (nit000)
       !!
       !! ** input   :   Namelist namiceini
       !!-------------------------------------------------------------------
-      INTEGER :: inum_ice
-      INTEGER :: ji,jj
-
+      INTEGER ::   ji,jj      ! dummy loop indices
+      INTEGER ::   inum_ice   ! temporary integer
+      !!
       NAMELIST/namiceini/ ln_limini, ttest, hninn, hginn, alinn, &
-         &                hnins, hgins, alins
+         &                                  hnins, hgins, alins
       !!-------------------------------------------------------------------
       !
@@ -165,5 +164,5 @@
       READ   ( numnam_ice , namiceini )
       !
-      IF(lwp) THEN
+      IF(lwp) THEN                        ! control print
          WRITE(numout,*)
          WRITE(numout,*) 'lim_istate_init_2 : ice parameters inititialisation '
@@ -179,5 +178,5 @@
       ENDIF
 
-      IF( ln_limini ) THEN                      ! Ice initialization using input file
+      IF( ln_limini ) THEN                ! Ice initialization using input file
          !
          CALL iom_open( 'Ice_initialization.nc', inum_ice )
@@ -186,5 +185,5 @@
             IF(lwp) WRITE(numout,*)
             IF(lwp) WRITE(numout,*) '                  ice state initialization with : Ice_initialization.nc'
-            
+            !
             CALL iom_get( inum_ice, jpdom_data, 'hicif', hicif )      
             CALL iom_get( inum_ice, jpdom_data, 'hsnif', hsnif )      
@@ -192,9 +191,9 @@
             CALL iom_get( inum_ice, jpdom_data, 'ts'   , sist  )
             CALL iom_get( inum_ice, jpdom_unknown, 'tbif', tbif(1:nlci,1:nlcj,:),   &
-                 &        kstart = (/ mig(1),mjg(1),1 /), kcount = (/ nlci,nlcj,jplayersp1 /) )
+               &          kstart = (/ mig(1),mjg(1),1 /), kcount = (/ nlci,nlcj,jplayersp1 /) )
             ! put some values in the extra-halo...
             DO jj = nlcj+1, jpj   ;   tbif(1:nlci,jj,:) = tbif(1:nlci,nlej,:)   ;   END DO
             DO ji = nlci+1, jpi   ;   tbif(ji    ,: ,:) = tbif(nlei  ,:   ,:)   ;   END DO
-
+            !
             CALL iom_close( inum_ice)
             !
@@ -208,7 +207,4 @@
    !!   Default option :         Empty module      NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE lim_istate_2        ! Empty routine
-   END SUBROUTINE lim_istate_2
 #endif
 
